getServiceDetail(params: QueryServiceDetailDto)
Requires:
@tuya-miniapp/cloud-api≥1.0.5
Description
Service details
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| Yes | Request body |
Return Value
Type: Promise<ServiceDetailDto>
Service details (see ServiceDetailDto; contains more fields than the minituya brief table; use the type as the reference)
Referenced Types
interface
ServiceDetailDto| Property | Type | Description |
|---|---|---|
subscribeId | string | Subscription ID |
planId | string | Future payment plan ID |
| List of devices bound to cloud storage | ||
supportCancel | 0 | 1 | Whether cancellation is supported 0: not supported; 1: supported |
isPublish | 0 | 1 | Listing status of the product associated with the service |
additionalUuid | string | UUID bound to the root device service |
hasAigcProtectService | boolean | Whether the service allows Smart Cube capabilities |
categoryCode | string | Service category |
cloudService | CloudService | Cloud service binding/usage overview (optional) |
cover | string | Cover |
commodityName | string | Plan name |
stockId | string | Purchased inventory ID |
commodityCode | string | Plan code |
duration | number | Service period |
durationDesc | string | String representation of the service period |
serviceBeginTime | number | Service start time |
serviceEndTime | number | Service expiration time |
isSubscribe | 0 | 1 | Whether this is a subscription product |
isFuturePayments | 0 | 1 | Whether payment is scheduled for the future |
isCanceled | 0 | 1 | Whether the subscription has been canceled 0: not canceled; 1: canceled |
stockStatus | StockStatus | Activation status 1: not activated; 2: active |
isAdditional | 1 | 0 | Whether the service is bundled with the device |
Valid Values
ServiceDetailDto.instanceList.isUseFreeService
| Value | Description | Since |
|---|---|---|
0 | - | - |
1 | - | - |
ServiceDetailDto.instanceList.isUseCommonUserTrail
| Value | Description | Since |
|---|---|---|
0 | - | - |
1 | - | - |
ServiceDetailDto.instanceList.isUseCommonDeviceTrail
| Value | Description | Since |
|---|---|---|
0 | - | - |
1 | - | - |
ServiceDetailDto.instanceList.isTried
| Value | Description | Since |
|---|---|---|
0 | - | - |
1 | - | - |
ServiceDetailDto.supportCancel
| Value | Description | Since |
|---|---|---|
0 | - | - |
1 | - | - |
ServiceDetailDto.isPublish
| Value | Description | Since |
|---|---|---|
0 | - | - |
1 | - | - |
ServiceDetailDto.isSubscribe
| Value | Description | Since |
|---|---|---|
0 | - | - |
1 | - | - |
ServiceDetailDto.isFuturePayments
| Value | Description | Since |
|---|---|---|
0 | - | - |
1 | - | - |
ServiceDetailDto.isCanceled
| Value | Description | Since |
|---|---|---|
0 | - | - |
1 | - | - |
ServiceDetailDto.isAdditional
| Value | Description | Since |
|---|---|---|
1 | - | - |
0 | - | - |